#ifndef NET_H
#define NET_H

//-------------------------------------net.h--------------------------------
//
//    NEREK by Chad Rempp
//    March 1 2002
//    Version 0.0.02
//
//	  Also Stolen from M Buckland
//
//    Net Class
//    Represents a concept through an NN
//
//------------------------------------------------------------------------------

#include <vector>
#include "neuron.h"

//using namespace std;

class Net{

private:
       int m_NumInputs;
       int m_NumOutputs;
       int m_NumHiddenLayers;
       int m_NumNeuronsPerLayer;
	   char name[256];
       vector<NeuronLayer> m_vecLayers;

public:
       Net();
       Net( int NumInputs,
                int NumOutputs,
                int NumHiddenLayers,
                int NumNeuronsPerLayer);
       void CreateNet();
	   void Net::ModNet(int NumInputs,
						int NumOutputs,
						int NumHiddenLayers,
						int NumNeuronsPerLayer);
       vector<float> GetWeights();
       int GetNumberOfWeights();
       void PutWeights(vector<float> weights);
       vector<float> Update(vector<float> inputs);
       inline float Sigmoid(float activation, float response);

};

#endif
