//----------------------------------neuron.cpp------------------------------
//
//    NEREK by Chad Rempp
//    March 1 2002
//    Version 0.0.02
//
//    Flat out stolen from M Buckland's Neural Ants program.
//
//    Feedforward NN code.
//    Classes:
//        Neuron
//        NeuronLayer
//
//------------------------------------------------------------------------------

#include "neuron.h"

extern SimData_typ g_SimData;


//*************************** methods for Neuron **********************
//
//---------------------------------------------------------------------

Neuron::Neuron(int NumInputs): m_NumInputs(NumInputs+1){

	//we need an additional weight for the bias hence the +1
	for (int i=0; i<NumInputs+1; i++){
		m_vecWeight.push_back(RANDOM_CLAMP);
    }
}




//************************ methods for NeuronLayer ***********************
//
//-----------------------------------------------------------------------


NeuronLayer::NeuronLayer(int NumNeurons, 
						   int NumInputsPerNeuron):	m_NumNeurons(NumNeurons), 
													m_NumInputsPerNeuron(NumInputsPerNeuron)
{
	for (int i=0; i<NumNeurons; i++)

		m_vecNeurons.push_back(Neuron(NumInputsPerNeuron));
}


